Package org.python.core

# Interface ContextManager

All Known Implementing Classes:
  `Condition`, `ContextGuard`, `Lock`, `PyConnection`, `PyCursor`, `PyExtendedCursor`, `PyLock`, `RLock`

public interface ContextManager
A `PyObject` that provides `__enter__` and `__exit__` methods for use in the with-statement. Implementing context managers can then be potentially inlined by the JVM.

## Method Summary

Modifier and Type
Method
Description
`PyObject`
`__enter__(ThreadState ts)`
`boolean`
`__exit__(ThreadState ts, PyException exception)`

## Method Details

### __enter__

PyObject __enter__(ThreadState ts)

### __exit__

boolean __exit__(ThreadState ts, PyException exception)